package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSSkills;

@ObfuscatedName("nj")
public class Skills implements RSSkills {
   @ObfuscatedName("ah")
   public static final boolean[] Skills_enabled;
   @ObfuscatedName("ar")
   public static int[] Skills_experienceTable;

   static {
      Skills_enabled = new boolean[]{true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, false, false};
      Skills_experienceTable = new int[99];
      int var0 = 0;

      for(int var1 = 0; var1 < 99; ++var1) {
         int var2 = var1 + 1;
         int var3 = (int)((double)var2 + 300.0D * Math.pow(2.0D, (double)var2 / 7.0D));
         var0 += var3;
         Skills_experienceTable[var1] = var0 / 4;
      }

   }

   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "(Lol;Ljava/lang/String;Ljava/lang/String;I)[Lup;",
      garbageValue = "900236984"
   )
   public static IndexedSprite[] method6859(AbstractArchive var0, String var1, String var2) {
      if(!var0.isValidFileName_base(var1, var2)) {
         return null;
      } else {
         int var3 = var0.getGroupId_base(var1);
         int var4 = var0.getFileId_base(var3, var2);
         byte[] var7 = var0.takeFile_base(var3, var4);
         boolean var6;
         if(var7 == null) {
            var6 = false;
         } else {
            class162.SpriteBuffer_decode_base(var7);
            var6 = true;
         }

         IndexedSprite[] var5;
         if(!var6) {
            var5 = null;
         } else {
            var5 = DbTable.method9165();
         }

         return var5;
      }
   }
}
